# Module: Concurrent::Synchronization::TruffleRubyAttrVolatile

Defined in:
  lib/concurrent/synchronization/truffleruby_object.rb

## Defined Under Namespace

Modules: ClassMethods

## Instance Method Summary collapse

- #full_memory_barrier ⇒ undocumented

## Instance Method Details

### #full_memory_barrier ⇒ `undocumented`

    31
    32
    33

    # File 'lib/concurrent/synchronization/truffleruby_object.rb', line 31

    def full_memory_barrier
      TruffleRuby.full_memory_barrier
    end